<feed xmlns='http://www.w3.org/2005/Atom'>
<title>policy/apex-pdp/examples/examples-pcvs/src, branch 2.5.6</title>
<subtitle>This repo will hold the next generation Apex PDP engine (Casablanca)</subtitle>
<id>http://git.onap.org/policy/apex-pdp/atom?h=2.5.6</id>
<link rel='self' href='http://git.onap.org/policy/apex-pdp/atom?h=2.5.6'/>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/'/>
<updated>2020-10-16T12:09:16+00:00</updated>
<entry>
<title>Remove apex asciidoc documents</title>
<updated>2020-10-16T12:09:16+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@est.tech</email>
</author>
<published>2020-10-16T12:09:11+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=0cf967c0239a8ab9c8b8831b700b72d9a08f7b03'/>
<id>urn:sha1:0cf967c0239a8ab9c8b8831b700b72d9a08f7b03</id>
<content type='text'>
Apex documentation has now all been ported to use the ONAP recommended
rst format. This review removes the old asciidoc documents.

Issue-ID: POLICY-2824
Change-Id: I562bd344cb7d6ff36e7d54bdb8f95e3b656468f8
Signed-off-by: liamfallon &lt;liam.fallon@est.tech&gt;
</content>
</entry>
<entry>
<title>Cleanup related to removal of legacy format support in APEX</title>
<updated>2020-09-17T13:38:33+00:00</updated>
<author>
<name>a.sreekumar</name>
<email>ajith.sreekumar@bell.ca</email>
</author>
<published>2020-09-17T11:02:19+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=9833876720ff14517ee78bda557e6021df723800'/>
<id>urn:sha1:9833876720ff14517ee78bda557e6021df723800</id>
<content type='text'>
This review basically just removes all "policyModelFileName" occurences
which are not used anymore.

Change-Id: Ibac8ec776dd989a5d677ff27a99eb7a36110773f
Issue-ID: POLICY-2835
Signed-off-by: a.sreekumar &lt;ajith.sreekumar@bell.ca&gt;
</content>
</entry>
<entry>
<title>Remove old documentation from build</title>
<updated>2020-07-13T08:55:31+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@est.tech</email>
</author>
<published>2020-07-13T08:41:28+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=cfd849936ab0dba02df60c5a8509d83cb8c58fdb'/>
<id>urn:sha1:cfd849936ab0dba02df60c5a8509d83cb8c58fdb</id>
<content type='text'>
apex-pdp had an in-line docuemntation build system built on asciidoc. It
has proven to be very difficult to maintain and keep up to date and it
is incompatible with the ONAP official RST/ReadTheDocs docuementation
system.

In the Dublin release, we converted the asciidoc documentation to RST
format, and hae been updating the RST documentation since. The asciidoc
docuemntation system is now so out of date that it is being removed.

In this change, the "site" directory is removed from all modules in
apex-pdp and a profile called "apexSite" is removed from the pom.xml
file in all modules.

Issue-ID: POLICY-2686
Change-Id: I645f3ed101159d356cd90e619cef791067ad5eb5
Signed-off-by: liamfallon &lt;liam.fallon@est.tech&gt;
</content>
</entry>
<entry>
<title>Convert examples to Rhino Javascript format</title>
<updated>2020-03-11T18:34:55+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@est.tech</email>
</author>
<published>2020-03-11T17:17:14+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=b87ab1696010ca0bbed5db99c140cf908722df57'/>
<id>urn:sha1:b87ab1696010ca0bbed5db99c140cf908722df57</id>
<content type='text'>
All examples are converted to Rhino Javascript from Nashorn Javascript.

Issue-ID: POLICY-2106
Change-Id: Ia6fec5b57b1e6131799b4b069968e4766ce54c96
Signed-off-by: liamfallon &lt;liam.fallon@est.tech&gt;
</content>
</entry>
<entry>
<title>Run apex-pdp in Java 11: base changes</title>
<updated>2020-01-23T12:15:19+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@est.tech</email>
</author>
<published>2020-01-22T12:11:11+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=755eb9df282d80273043a2e902e2a51bf6eaab24'/>
<id>urn:sha1:755eb9df282d80273043a2e902e2a51bf6eaab24</id>
<content type='text'>
This change brings in the minimum changes to get apex-pdp running in
Java 11. Other reviews will bring in changes to remove Java 11 warnings
and to convert apex-pdp Javascript handling from the now deprecated
nashorn engine.

Issue-ID: POLICY-1581
Change-Id: I879bbae08d4e67aca3f1bfeedeca639d8dbbc281
Signed-off-by: liamfallon &lt;liam.fallon@est.tech&gt;
</content>
</entry>
<entry>
<title>Replace getCaononicalName() with getName() in code base</title>
<updated>2019-11-28T11:06:05+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@est.tech</email>
</author>
<published>2019-11-27T13:32:45+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=9253f81d14a5217479ca8e59efb198eaa32ec9f0'/>
<id>urn:sha1:9253f81d14a5217479ca8e59efb198eaa32ec9f0</id>
<content type='text'>
Issue-ID: POLICY-1861
Change-Id: Iccbdcbc5b5978305c56ab74c01a52a562697bee1
Signed-off-by: liamfallon &lt;liam.fallon@est.tech&gt;
</content>
</entry>
<entry>
<title>Reduce verbosity of logging during unit test</title>
<updated>2019-11-26T14:39:59+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@est.tech</email>
</author>
<published>2019-11-26T14:31:28+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=8a3a78067eb678f3e51e2199a57b713e3ffcfb29'/>
<id>urn:sha1:8a3a78067eb678f3e51e2199a57b713e3ffcfb29</id>
<content type='text'>
Logging dialled back in logback.xml files and on ligging statements in
unit test java code.

Issue-ID: POLICY-2272
Change-Id: I3b9a46d8993b1571c8dc62687a9c136af46c1f51
Signed-off-by: liamfallon &lt;liam.fallon@est.tech&gt;
</content>
</entry>
<entry>
<title>Fix examples broken by checkstyle changes</title>
<updated>2018-09-19T20:59:46+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@ericsson.com</email>
</author>
<published>2018-09-19T20:44:33+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=f28256b49d1041a959646536d16094fc68431b12'/>
<id>urn:sha1:f28256b49d1041a959646536d16094fc68431b12</id>
<content type='text'>
Checkstyle changes to some class names must be propgated
into example configurations and name changes meant some
examples were not being packaged.

Issue-ID: POLICY-1034
Change-Id: I5485fc2ffc22c496bbae9465e1c3b09c4feade97
Signed-off-by: liamfallon &lt;liam.fallon@ericsson.com&gt;
</content>
</entry>
<entry>
<title>Address sonar/Checkstyle Issues</title>
<updated>2018-09-13T22:49:32+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@ericsson.com</email>
</author>
<published>2018-09-13T22:48:50+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=cd68fc9bae7d6258f77ff59c1431e4f925f61a4c'/>
<id>urn:sha1:cd68fc9bae7d6258f77ff59c1431e4f925f61a4c</id>
<content type='text'>
Sweep through Apex codebase to fix most ceheckstyle and
straightforward sonar issues.

Issue-ID: POLICY-1034
Change-Id: I149d9a94ad893affc93573e8de5e3304b6bdde2d
Signed-off-by: liamfallon &lt;liam.fallon@ericsson.com&gt;
</content>
</entry>
<entry>
<title>Sonar/Checkstyle in service/plugins</title>
<updated>2018-09-13T14:26:47+00:00</updated>
<author>
<name>liamfallon</name>
<email>liam.fallon@ericsson.com</email>
</author>
<published>2018-09-13T14:25:32+00:00</published>
<link rel='alternate' type='text/html' href='http://git.onap.org/policy/apex-pdp/commit/?id=4cfa2e2d98f6877d54da304ef17f096284430908'/>
<id>urn:sha1:4cfa2e2d98f6877d54da304ef17f096284430908</id>
<content type='text'>
Sonar and Checkstyle changes in plugins and services, and
knock on changes

Issue-ID: POLICY-1034
Change-Id: Iff7df74e54fce2c661dcc2fae75ae93d4cacfe5b
Signed-off-by: liamfallon &lt;liam.fallon@ericsson.com&gt;
</content>
</entry>
</feed>
'#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
<a id='n208' href='#n208'>208</a>
<a id='n209' href='#n209'>209</a>
<a id='n210' href='#n210'>210</a>
<a id='n211' href='#n211'>211</a>
<a id='n212' href='#n212'>212</a>
<a id='n213' href='#n213'>213</a>
<a id='n214' href='#n214'>214</a>
<a id='n215' href='#n215'>215</a>
<a id='n216' href='#n216'>216</a>
<a id='n217' href='#n217'>217</a>
<a id='n218' href='#n218'>218</a>
<a id='n219' href='#n219'>219</a>
<a id='n220' href='#n220'>220</a>
<a id='n221' href='#n221'>221</a>
<a id='n222' href='#n222'>222</a>
<a id='n223' href='#n223'>223</a>
<a id='n224' href='#n224'>224</a>
<a id='n225' href='#n225'>225</a>
<a id='n226' href='#n226'>226</a>
<a id='n227' href='#n227'>227</a>
<a id='n228' href='#n228'>228</a>
<a id='n229' href='#n229'>229</a>
<a id='n230' href='#n230'>230</a>
<a id='n231' href='#n231'>231</a>
<a id='n232' href='#n232'>232</a>
<a id='n233' href='#n233'>233</a>
<a id='n234' href='#n234'>234</a>
<a id='n235' href='#n235'>235</a>
<a id='n236' href='#n236'>236</a>
<a id='n237' href='#n237'>237</a>
<a id='n238' href='#n238'>238</a>
<a id='n239' href='#n239'>239</a>
<a id='n240' href='#n240'>240</a>
<a id='n241' href='#n241'>241</a>
<a id='n242' href='#n242'>242</a>
<a id='n243' href='#n243'>243</a>
</pre></td>
<td class='lines'><pre><code><style>
@media only all and (prefers-color-scheme: dark) {
.highlight .hll { background-color: #49483e }
.highlight .c { color: #75715e } /* Comment */
.highlight .err { color: #960050; background-color: #1e0010 } /* Error */
.highlight .k { color: #66d9ef } /* Keyword */
.highlight .l { color: #ae81ff } /* Literal */
.highlight .n { color: #f8f8f2 } /* Name */
.highlight .o { color: #f92672 } /* Operator */
.highlight .p { color: #f8f8f2 } /* Punctuation */
.highlight .ch { color: #75715e } /* Comment.Hashbang */
.highlight .cm { color: #75715e } /* Comment.Multiline */
.highlight .cp { color: #75715e } /* Comment.Preproc */
.highlight .cpf { color: #75715e } /* Comment.PreprocFile */
.highlight .c1 { color: #75715e } /* Comment.Single */
.highlight .cs { color: #75715e } /* Comment.Special */
.highlight .gd { color: #f92672 } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gi { color: #a6e22e } /* Generic.Inserted */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #75715e } /* Generic.Subheading */
.highlight .kc { color: #66d9ef } /* Keyword.Constant */
.highlight .kd { color: #66d9ef } /* Keyword.Declaration */
.highlight .kn { color: #f92672 } /* Keyword.Namespace */
.highlight .kp { color: #66d9ef } /* Keyword.Pseudo */
.highlight .kr { color: #66d9ef } /* Keyword.Reserved */
.highlight .kt { color: #66d9ef } /* Keyword.Type */
.highlight .ld { color: #e6db74 } /* Literal.Date */
.highlight .m { color: #ae81ff } /* Literal.Number */
.highlight .s { color: #e6db74 } /* Literal.String */
.highlight .na { color: #a6e22e } /* Name.Attribute */
.highlight .nb { color: #f8f8f2 } /* Name.Builtin */
.highlight .nc { color: #a6e22e } /* Name.Class */
.highlight .no { color: #66d9ef } /* Name.Constant */
.highlight .nd { color: #a6e22e } /* Name.Decorator */
.highlight .ni { color: #f8f8f2 } /* Name.Entity */
.highlight .ne { color: #a6e22e } /* Name.Exception */
.highlight .nf { color: #a6e22e } /* Name.Function */
.highlight .nl { color: #f8f8f2 } /* Name.Label */
.highlight .nn { color: #f8f8f2 } /* Name.Namespace */
.highlight .nx { color: #a6e22e } /* Name.Other */
.highlight .py { color: #f8f8f2 } /* Name.Property */
.highlight .nt { color: #f92672 } /* Name.Tag */
.highlight .nv { color: #f8f8f2 } /* Name.Variable */
.highlight .ow { color: #f92672 } /* Operator.Word */
.highlight .w { color: #f8f8f2 } /* Text.Whitespace */
.highlight .mb { color: #ae81ff } /* Literal.Number.Bin */
.highlight .mf { color: #ae81ff } /* Literal.Number.Float */
.highlight .mh { color: #ae81ff } /* Literal.Number.Hex */
.highlight .mi { color: #ae81ff } /* Literal.Number.Integer */
.highlight .mo { color: #ae81ff } /* Literal.Number.Oct */
.highlight .sa { color: #e6db74 } /* Literal.String.Affix */
.highlight .sb { color: #e6db74 } /* Literal.String.Backtick */
.highlight .sc { color: #e6db74 } /* Literal.String.Char */
.highlight .dl { color: #e6db74 } /* Literal.String.Delimiter */
.highlight .sd { color: #e6db74 } /* Literal.String.Doc */
.highlight .s2 { color: #e6db74 } /* Literal.String.Double */
.highlight .se { color: #ae81ff } /* Literal.String.Escape */
.highlight .sh { color: #e6db74 } /* Literal.String.Heredoc */
.highlight .si { color: #e6db74 } /* Literal.String.Interpol */
.highlight .sx { color: #e6db74 } /* Literal.String.Other */
.highlight .sr { color: #e6db74 } /* Literal.String.Regex */
.highlight .s1 { color: #e6db74 } /* Literal.String.Single */
.highlight .ss { color: #e6db74 } /* Literal.String.Symbol */
.highlight .bp { color: #f8f8f2 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #a6e22e } /* Name.Function.Magic */
.highlight .vc { color: #f8f8f2 } /* Name.Variable.Class */
.highlight .vg { color: #f8f8f2 } /* Name.Variable.Global */
.highlight .vi { color: #f8f8f2 } /* Name.Variable.Instance */
.highlight .vm { color: #f8f8f2 } /* Name.Variable.Magic */
.highlight .il { color: #ae81ff } /* Literal.Number.Integer.Long */
}
@media (prefers-color-scheme: light) {
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
}
</style><div class="highlight"><pre><span></span><span class="c1"># Copyright © 2017 Amdocs, Bell Canada</span>
<span class="c1"># Modifications Copyright © 2018 AT&amp;T</span>
<span class="c1">#</span>
<span class="c1"># Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span>
<span class="c1"># you may not use this file except in compliance with the License.</span>
<span class="c1"># You may obtain a copy of the License at</span>
<span class="c1">#</span>
<span class="c1">#       http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c1">#</span>
<span class="c1"># Unless required by applicable law or agreed to in writing, software</span>
<span class="c1"># distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span>
<span class="c1"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="c1"># See the License for the specific language governing permissions and</span>
<span class="c1"># limitations under the License.</span>

<span class="c1">#################################################################</span>
<span class="c1"># Global configuration defaults.</span>
<span class="c1">#################################################################</span>
<span class="nt">global</span><span class="p">:</span>
  <span class="nt">nodePortPrefix</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">302</span>
  <span class="nt">readinessImage</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">onap/oom/readiness:3.0.1</span>
  <span class="nt">centralizedLoggingEnabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">false</span>
  <span class="nt">loggingRepository</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">docker.elastic.co</span>
  <span class="nt">loggingImage</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">beats/filebeat:5.5.0</span>
  <span class="c1"># envsusbt</span>
  <span class="nt">envsubstImage</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">dibi/envsubst</span>
  <span class="nt">persistence</span><span class="p">:</span>
    <span class="nt">mountPath</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">/dockerdata-nfs</span>

<span class="c1">#################################################################</span>
<span class="c1"># Secrets metaconfig</span>
<span class="c1">#################################################################</span>
<span class="nt">secrets</span><span class="p">:</span>
  <span class="p p-Indicator">-</span> <span class="nt">uid</span><span class="p">:</span> <span class="s">&quot;db-root-pass&quot;</span>
    <span class="nt">name</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">include</span><span class="nv"> </span><span class="s">&quot;common.release&quot;</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}-appc-db-root-pass&#39;</span>
    <span class="nt">externalSecret</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.config.dbRootPassExternalSecret</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">password</span>
    <span class="nt">password</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.config.dbRootPass</span><span class="nv"> </span><span class="s">}}&#39;</span>
  <span class="p p-Indicator">-</span> <span class="nt">uid</span><span class="p">:</span> <span class="s">&#39;appcdb-user-creds&#39;</span>
    <span class="nt">name</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">include</span><span class="nv"> </span><span class="s">&quot;common.release&quot;</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}-appcdb-user-creds&#39;</span>
    <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">basicAuth</span>
    <span class="nt">externalSecret</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">tpl</span><span class="nv"> </span><span class="s">(default</span><span class="nv"> </span><span class="s">&quot;&quot;</span><span class="nv"> </span><span class="s">.Values.config.appcdb.userCredentialsExternalSecret)</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">login</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.config.appcdb.userName</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">password</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.config.appcdb.password</span><span class="nv"> </span><span class="s">}}&#39;</span>
  <span class="p p-Indicator">-</span> <span class="nt">uid</span><span class="p">:</span> <span class="s">&#39;sdncdb-user-creds&#39;</span>
    <span class="nt">name</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">include</span><span class="nv"> </span><span class="s">&quot;common.release&quot;</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}-sdncdb-user-creds&#39;</span>
    <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">basicAuth</span>
    <span class="nt">externalSecret</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">tpl</span><span class="nv"> </span><span class="s">(default</span><span class="nv"> </span><span class="s">&quot;&quot;</span><span class="nv"> </span><span class="s">.Values.config.sdncdb.userCredentialsExternalSecret)</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">login</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.config.sdncdb.userName</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">password</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.config.sdncdb.password</span><span class="nv"> </span><span class="s">}}&#39;</span>


<span class="c1">#################################################################</span>
<span class="c1"># Application configuration defaults.</span>
<span class="c1">#################################################################</span>
<span class="nt">flavor</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">small</span>
<span class="c1"># application image</span>
<span class="nt">repository</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">nexus3.onap.org:10001</span>
<span class="nt">image</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">onap/appc-image:1.7.2</span>
<span class="nt">pullPolicy</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Always</span>

<span class="c1"># flag to enable debugging - application support required</span>
<span class="nt">debugEnabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">false</span>

<span class="c1"># log configuration</span>
<span class="nt">log</span><span class="p">:</span>
  <span class="nt">path</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">/var/log/onap</span>

<span class="c1"># application configuration</span>
<span class="nt">config</span><span class="p">:</span>
<span class="c1">#  dbRootPassExternalSecret: some secret</span>
<span class="c1">#  dbRootPass: password</span>
  <span class="nt">appcdb</span><span class="p">:</span>
    <span class="c1"># Warning: changing this config option may not work.</span>
    <span class="c1"># It seems that the DB name is hardcoded.</span>
    <span class="nt">dbName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appcctl</span>
    <span class="nt">userName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appcctl</span>
    <span class="c1"># password: appcctl</span>
    <span class="c1"># userCredsExternalSecret: some secret</span>
  <span class="nt">sdncdb</span><span class="p">:</span>
    <span class="c1"># Warning: changing this config option may not work.</span>
    <span class="c1"># It seems that the DB name is hardcoded.</span>
    <span class="nt">dbName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">sdnctl</span>
    <span class="nt">userName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">sdnctl</span>
    <span class="c1"># password: gamma</span>
    <span class="c1"># userCredsExternalSecret: some secret</span>
  <span class="nt">odlUid</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">100</span>
  <span class="nt">odlGid</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">101</span>
  <span class="nt">ansibleServiceName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-ansible-server</span>
  <span class="nt">ansiblePort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8000</span>
  <span class="nt">mariadbGaleraSVCName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dbhost</span>
  <span class="nt">mariadbGaleraContName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-db</span>
  <span class="nt">enableAAF</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>
  <span class="nt">enableClustering</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">false</span>
  <span class="nt">configDir</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">/opt/onap/appc/data/properties</span>
  <span class="nt">dmaapTopic</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">SUCCESS</span>
  <span class="nt">dmaapTopicEnv</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">AUTO</span>
  <span class="nt">logstashServiceName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">log-ls</span>
  <span class="nt">logstashPort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">5044</span>
  <span class="nt">odlPassword</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Kp8bJ4SXszM0WXlhak3eHlcse2gAw84vaoGGmJvUy2U</span>
  <span class="nt">openStackType</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">OpenStackProvider</span>
  <span class="nt">openStackName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">OpenStack</span>
  <span class="nt">openStackKeyStoneUrl</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">http://localhost:8181/apidoc/explorer/index.html</span>
  <span class="nt">openStackServiceTenantName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">default</span>
  <span class="nt">openStackDomain</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">default</span>
  <span class="nt">openStackUserName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">admin</span>
  <span class="nt">openStackEncryptedPassword</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">enc:LDEbHEAvTF1R</span>
  <span class="nt">odlUser</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">admin</span>
  <span class="nt">dmaapServiceUrl</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">http://localhost:8080/publish</span>
  <span class="nt">dmaapServiceUser</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc</span>
  <span class="nt">dmaapServicePassword</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">onapappc</span>

<span class="nt">appc-ansible-server</span><span class="p">:</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-ansible-server</span>
    <span class="nt">internalPort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8000</span>
  <span class="nt">config</span><span class="p">:</span>
    <span class="nt">mysqlServiceName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dbhost</span>

<span class="nt">mariadb-galera</span><span class="p">:</span>
  <span class="nt">nameOverride</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-db</span>
  <span class="nt">config</span><span class="p">:</span>
    <span class="nt">mariadbRootPasswordExternalSecret</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">include</span><span class="nv"> </span><span class="s">&quot;common.release&quot;</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}-appc-db-root-pass&#39;</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dbhost</span>
    <span class="nt">portName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dbhost</span>
  <span class="nt">nfsprovisionerPrefix</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc</span>
  <span class="nt">sdnctlPrefix</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc</span>
  <span class="nt">persistence</span><span class="p">:</span>
    <span class="nt">mountSubPath</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc/data</span>
    <span class="nt">enabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>
  <span class="nt">disableNfsProvisioner</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>

<span class="nt">dgbuilder</span><span class="p">:</span>
  <span class="nt">nameOverride</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dgbuilder</span>
  <span class="nt">certInitializer</span><span class="p">:</span>
    <span class="nt">nameOverride</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dgbuilder-cert-initializer</span>
  <span class="nt">config</span><span class="p">:</span>
    <span class="nt">db</span><span class="p">:</span>
      <span class="nt">rootPasswordExternalSecret</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">include</span><span class="nv"> </span><span class="s">&quot;common.release&quot;</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}-appc-db-root-pass&#39;</span>
      <span class="nt">userCredentialsExternalSecret</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">include</span><span class="nv"> </span><span class="s">&quot;common.release&quot;</span><span class="nv"> </span><span class="s">.</span><span class="nv"> </span><span class="s">}}-sdncdb-user-creds&#39;</span>
    <span class="nt">dbPodName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-db</span>
    <span class="nt">dbServiceName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dbhost</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc-dgbuilder</span>

  <span class="nt">ingress</span><span class="p">:</span>
    <span class="nt">enabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">false</span>
    <span class="nt">service</span><span class="p">:</span>
      <span class="p p-Indicator">-</span> <span class="nt">baseaddr</span><span class="p">:</span> <span class="s">&quot;appc-dgbuilder&quot;</span>
        <span class="nt">name</span><span class="p">:</span> <span class="s">&quot;appc-dgbuilder&quot;</span>
        <span class="nt">port</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">3000</span>
    <span class="nt">config</span><span class="p">:</span>
      <span class="nt">ssl</span><span class="p">:</span> <span class="s">&quot;redirect&quot;</span>

<span class="c1">#passing value to cdt chart. value of nodePort3 will be same as appc.service.nodePort3.</span>
<span class="nt">appc-cdt</span><span class="p">:</span>
  <span class="nt">nodePort3</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">11</span>
<span class="c1"># default number of instances</span>
<span class="nt">replicaCount</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">1</span>

<span class="nt">nodeSelector</span><span class="p">:</span> <span class="p p-Indicator">{}</span>

<span class="nt">affinity</span><span class="p">:</span> <span class="p p-Indicator">{}</span>

<span class="c1"># probe configuration parameters</span>
<span class="nt">liveness</span><span class="p">:</span>
  <span class="nt">initialDelaySeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">300</span>
  <span class="nt">periodSeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">60</span>
  <span class="c1"># necessary to disable liveness probe when setting breakpoints</span>
  <span class="c1"># in debugger so K8s doesn&#39;t restart unresponsive container</span>
  <span class="nt">enabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>

<span class="nt">readiness</span><span class="p">:</span>
  <span class="nt">initialDelaySeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">300</span>
  <span class="nt">periodSeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">60</span>

<span class="nt">service</span><span class="p">:</span>
  <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">NodePort</span>
  <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc</span>
  <span class="nt">portName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc</span>

  <span class="nt">internalPort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8443</span>
  <span class="nt">externalPort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8443</span>
  <span class="nt">nodePort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">30</span>

  <span class="nt">externalPort2</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">1830</span>
  <span class="nt">nodePort2</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">31</span>
  <span class="nt">clusterPort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">2550</span>

  <span class="nt">internalPort3</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">9191</span>
  <span class="nt">externalPort3</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">9090</span>
  <span class="nt">nodePort3</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">11</span>

<span class="c1">## Persist data to a persitent volume</span>
<span class="nt">persistence</span><span class="p">:</span>
  <span class="nt">enabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>

  <span class="c1">## A manually managed Persistent Volume and Claim</span>
  <span class="c1">## Requires persistence.enabled: true</span>
  <span class="c1">## If defined, PVC must be created manually before volume will be bound</span>
  <span class="c1"># existingClaim:</span>
  <span class="nt">volumeReclaimPolicy</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Retain</span>

  <span class="c1">## database data Persistent Volume Storage Class</span>
  <span class="c1">## If defined, storageClassName: &lt;storageClass&gt;</span>
  <span class="c1">## If set to &quot;-&quot;, storageClassName: &quot;&quot;, which disables dynamic provisioning</span>
  <span class="c1">## If undefined (the default) or set to null, no storageClassName spec is</span>
  <span class="c1">##   set, choosing the default provisioner.  (gp2 on AWS, standard on</span>
  <span class="c1">##   GKE, AWS &amp; OpenStack)</span>
  <span class="nt">accessMode</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">ReadWriteOnce</span>
  <span class="nt">size</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">1Gi</span>
  <span class="nt">mountPath</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">/dockerdata-nfs</span>
  <span class="nt">mountSubPath</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">appc/mdsal</span>
  <span class="nt">mdsalPath</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">/opt/opendaylight/current/daexim</span>

<span class="nt">ingress</span><span class="p">:</span>
  <span class="nt">enabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">false</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="p p-Indicator">-</span> <span class="nt">baseaddr</span><span class="p">:</span> <span class="s">&quot;appc.api&quot;</span>
      <span class="nt">name</span><span class="p">:</span> <span class="s">&quot;appc&quot;</span>
      <span class="nt">port</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8443</span>
  <span class="nt">config</span><span class="p">:</span>
    <span class="nt">ssl</span><span class="p">:</span> <span class="s">&quot;redirect&quot;</span>

<span class="c1"># Configure resource requests and limits</span>
<span class="c1"># ref: http://kubernetes.io/docs/user-guide/compute-resources/</span>
<span class="nt">resources</span><span class="p">:</span>
  <span class="nt">small</span><span class="p">:</span>
    <span class="nt">limits</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">2</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">4Gi</span>
    <span class="nt">requests</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">1</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">2Gi</span>
  <span class="nt">large</span><span class="p">:</span>
    <span class="nt">limits</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">4</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8Gi</span>
    <span class="nt">requests</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">2</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">4Gi</span>
  <span class="nt">unlimited</span><span class="p">:</span> <span class="p p-Indicator">{}</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2017 <a href="https://www.onap.org/">ONAP</a> a Linux Foundation
        Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="http://www.linuxfoundation.org/privacy">privacy policy</a> and
        <a href="http://www.linuxfoundation.org/terms">terms of use</a>
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
